﻿/* Copyright (c) 2008 John Wells - http://www.codeplex.com/Johnnylightbulb/

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. */

namespace JohnWells.ColladaDom
{
    // .NET Fx
    using System;
    using System.Xml.Serialization;

    /// <summary>Contains descriptive information about the coordinate system of the geometric data. All
    /// coordinates are right-handed by definition.</summary>
    public enum UpAxis
    {
        /// <summary>Right Axis is +Y, Up Axis is +X, In Axis is +Z</summary>
        [XmlEnum(Name = "X_UP")]
        X,

        /// <summary>Right Axis is +X, Up Axis is +Y, In Axis is +Z</summary>
        [XmlEnum(Name = "Y_UP")]
        Y,

        /// <summary>Right Axis is +X, Up Axis is +Z, In Axis is +Y</summary>
        [XmlEnum(Name = "Z_UP")]
        Z
    }
}
